Поддержка Проблемы и решения Обновление на 5.7 с ошибкой

  • После обновления на версию 5.7 выскочила такая ошибка:

    Notice: Функция WP_Scripts::localize вызвана неправильно. Параметр $l10n должен быть массивом. Для передачи произвольных данных в скрипты используйте функцию wp_add_inline_script(). Дополнительную информацию можно найти на странице «Отладка в WordPress». (Это сообщение было добавлено в версии 5.7.0.) in /home/___/public_html/wp-includes/functions.php on line 5313

Просмотр 14 ответов — с 1 по 14 (всего 14)
  • Модератор Yui

    (@fierevere)

    ゆい

    убедитесь что WP обновлен корректно ( Консоль — Обновления — кнопка Переустановить )

    почистите кеши, все.

    Поищите виновника среди плагинов, возможно — темы.

    переустановил + почистил кеш + заменил тему = ошибка осталась

    Что пишется в здоровье сайта? Обратно на 5,6 вернуться возможно?

    нет такой опции вернуться (
    в здоровье сайта это — https://nimb.ws/ycfU31

    Попробуйте удалять плагины по одному. Если не поможет, переключитесь на одну из тем по умолчанию

    поставил Twenty Twenty-One Версия: 1.2 — ошибка осталась. Значит удалять плагины….

    Значит удалять плагины….

    достаточно их отключить

    Иногда бывает, что надёжней плагин удалить, чтобы убрать все его следы из вордпресса, особенно если это старая версия плагина.

    а может мой случай?

    Устаревшие функции и аргументы # Устаревшие функции и аргументы

    Включение WP_DEBUG также будет вызывать уведомления об устаревших функциях и аргументах в WordPress, которые используются на вашем сайте. Это функции или аргументы функций, которые еще не были удалены из основного кода, но должны быть удалены в ближайшем будущем. Уведомления об устаревании часто указывают на новую функцию, которую следует использовать вместо этого.

    и не стоит особо беспокоиться? просто устарела функция, но вполне ещё работоспособна, со временем авторы плагина её починят

    хорошо, понял, пока буду отключать

    UPD. нашелся виновник — WP User Frontend

    • Ответ изменён 1 год, 5 месяцев назад пользователем jurvrn.

    Такая же ошибка, как исправить ?
    в поиске кучу сайтов выдает с такой ошибкой

    Такая же ошибка, как исправить ?

    Во втором пункте правил форума подробно описано

    Web Anril (@anril) надо ждать исправления от авторов плагинов

    jurvrn (@jurvrn) благодарю за ответ

    Поставьте и активируйте плагин Hide Admin Notices
    И все подозрительные надписи исчезнут с сайта)

Просмотр 14 ответов — с 1 по 14 (всего 14)
  • Тема «Обновление на 5.7 с ошибкой» закрыта для новых ответов.